import { ApiError } from "./api-error";

export class InternalApiError extends ApiError {
  constructor(detail: string, title?: string) {
    super({
      status: 500,
      title: title ?? "Internal Server Error",
      detail,
      type: "https://httpstatuses.com/500",
    });
  }
}
